Subject: Re: [bug#45418] [PATCH] gnu: Add yakuake.

From: Efraim Flashner <[email-masked]>
Date: Wed, 30 Dec 2020 12:01:14 +0200

On Tue, Dec 29, 2020 at 09:09:24PM +0000, Christopher Baines wrote:
> 
> Hi,
> 
> Thanks for the patch, the package builds for me at least.
> 
> I had to move this to the kde-systemtools module, otherwise I ran in to
> what looks like module interdependency issues.
> 
> I didn't manage to run yakuake, I get the following output, did it run
> for you?
> 
> → /gnu/store/0ghk33y9fac24shyq3rwkzp7kg30d9bm-yakuake-20.12.0/bin/yakuake
> Couldn't start kglobalaccel from org.kde.kglobalaccel.service: QDBusError("org.freedesktop.DBus.Error.ServiceUnknown", "The name org.kde.kglobalaccel was not provided by any .service files")
> Icon theme "Adwaita" not found.
> Segmentation fault
> 

I have better luck often when testing a program with running
'guix environment --ad-hoc uakuake -- yakuake'

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted